<template>
  <v-app>
    <Navbar />
    <v-content>
      <div class="container-fluid p-5">
        <router-view></router-view>
      </div>
    </v-content>
  </v-app>
</template>
<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import Navbar from '@/views/global/Navbar.vue';
import AuthService from './services/authService';
import { User } from './transport/User'

@Component({components: {
    Navbar
  }})
export default class App extends Vue {
  name: string = 'app';
  ConnectedUser: User = null;
  mounted(){
      if(localStorage.getItem("token")){
        return new AuthService().GetUserFromToken(localStorage.getItem("token")).then(res => {
          this.ConnectedUser = res;
          if(res && !res.isValid && this.$route.name !== 'awaitValidation') {
            this.$router.push({name: 'awaitValidation'});
          }
        });
      }
      return null;
  }
}
</script>
<style lang="scss">
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
@import "./assets/css/custom.scss";
@import "../node_modules/bootstrap/scss/bootstrap.scss";
</style>
